$onempty
sets
***** the user defines the following objective set for evaluating cell viability
   ObjectSet "Multiobjectives of cell viability and bioenginnering in the outer optimization problem"
       /'biomass', 'ATP'/

***** ATP_synthase
    syn_vb_rxn(ObjectSet, reactions) "Synthesis reactions toward to species represented as the reactant in the reaction: C + D (desired species) <-- A + B"
    /   /

    syn_vf_rxn(ObjectSet, reactions) "Synthesis reactions toward to species represented as the product in the reaction: A + B --> C + D (desired species)"
    /
      'ATP'. ('R_ATPS4mi')
      'biomass'. ('R_biomass_reaction')
    /   

*   Fuzzy_CV_obj(ObjectSet) "Fuzzy min or max objective subset"
*      /'biomass', 'ATP'/

   Fuzzy_min_CV_obj(ObjectSet) "fuzzy min cell viability objective subset"
       /'biomass'/

   Fuzzy_max_CV_obj(ObjectSet) "fuzzy max cell viability objective subset"
      /'ATP'/

   Fuzzy_min_Eng_obj(ObjectSet) "fuzzy min BioEngineering objectives, Fmin v_biomass_TR and Fmin v_ATP_TR"
     /'biomass', 'ATP'/;   

$offempty
