* Origimal DMEM medium
$onempty
sets
    uptake_rxn(reactions) "uptake reactions obtained by NHDE-MILP"
/
*********VMH-Medium
"R_EX_etoh[e]"
"R_EX_caro[e]"
"R_EX_retinol[e]"
"R_EX_thm[e]"
"R_EX_ribflv[e]"
"R_EX_nac[e]"
"R_EX_ncam[e]"
"R_EX_pnto_R[e]"
"R_EX_pydam[e]"
"R_EX_pydxn[e]"
"R_EX_pydx[e]"
"R_EX_btn[e]"
*"R_EX_10fthf[e]"
"R_EX_5mthf[e]"
"R_EX_thf[e]"
"R_EX_ascb_L[e]"
"R_EX_vitd3[e]"
"R_EX_avite1[e]"
"R_EX_phyQ[e]"
"R_EX_k[e]"
"R_EX_na1[e]"
"R_EX_fe2[e]"
"R_EX_fe3[e]"
*"R_EX_sbt_D[e]"
"R_EX_xylt[e]"
"R_EX_lcts[e]"
"R_EX_malt[e]"
*"R_EX_sucr[e]"
"R_EX_fru[e]"
"R_EX_gal[e]"
"R_EX_ala_L[e]"
"R_EX_arg_L[e]"
"R_EX_asp_L[e]"
"R_EX_cys_L[e]"
"R_EX_glu_L[e]"
"R_EX_gly[e]"
"R_EX_urate[e]"
"R_EX_his_L[e]"
"R_EX_ile_L[e]"
"R_EX_leu_L[e]"
"R_EX_lys_L[e]"
"R_EX_met_L[e]"
"R_EX_phe_L[e]"
"R_EX_pro_L[e]"
"R_EX_ser_L[e]"
"R_EX_thr_L[e]"
"R_EX_trp_L[e]"
"R_EX_tyr_L[e]"
"R_EX_val_L[e]"
"R_EX_dca[e]"
"R_EX_ddca[e]"
"R_EX_ttdca[e]"
"R_EX_ttdcea[e]"
"R_EX_ptdca[e]"
"R_EX_hdca[e]"
"R_EX_hpdca[e]"
"R_EX_ocdca[e]"
"R_EX_ocdcea[e]"
"R_EX_lnlc[e]"
"R_EX_lnlnca[e]"
"R_EX_strdnc[e]"
"R_EX_arach[e]"
"R_EX_CE2510[e]"
"R_EX_CE4843[e]"
"R_EX_arachd[e]"
"R_EX_docosac[e]"
"R_EX_doco13ac[e]"
"R_EX_adrn[e]"
"R_EX_clpnd[e]"
"R_EX_crvnc[e]"
"R_EX_but[e]"
"R_EX_octa[e]"
"R_EX_chsterol[e]"
"R_EX_hdcea[e]"
"R_EX_lgnc[e]"
"R_EX_fol[e]"
"R_EX_strch1[e]"
"R_EX_i[e]"

*************************************************
'R_EX_3hpvs[e]'
'R_EX_mi1p_D[e]'
         'R_EX_glnproglu[e]'
*'R_EX_fvs[e]'         
"R_EX_pe_hs[e]"
"R_EX_sphgn[e]"


/

    uptake_demand(reactions) "demanded uptake reactions, vf = 0"
        /'R_EX_glc_D[e]'
         'R_EX_o2[e]'
        /

    uptake_fixed(reactions) "fixed demand uptake reactions, vb.fx = v_LB"
        /  /

    exchange_demand(reactions) "demanded exchange reactions"
        /'R_EX_co[e]                  '
         'R_EX_co2[e]                 '
         'R_EX_h[e]                   '
         'R_EX_h2o[e]                 '
         'R_EX_h2o2[e]                '
         'R_EX_hco3[e]                '
         'R_EX_o2s[e]                 '
         'R_EX_pi[e]                  '
        /

    targetSet(reactions) "target reactions in the metabolic network"
        /'R_DM_atp_c_                 '
         'R_biomass_reaction       '
         'R_ATPS4mi'
        /

    secretion_demand(reactions) "demanded secretion reactions, vb = 0"
        /  /

   exchange_rxn_domain(reactions) "exchange reactions included in optimization problem"
          / /;
$offempty

parameters
  HT_target_level_LB(targetSet) "theoretical lower target levels"
  /
   'R_biomass_reaction'         1.0000E-8
   'R_DM_atp_c_'                3.2000E+01
   'R_ATPS4mi'                  1.0E-3
  /

  HT_target_level_UB(targetSet) "theoretical upper target levels"
  /
   'R_biomass_reaction'         5.0000E-02
   'R_DM_atp_c_'                1.0000E+03
   'R_ATPS4mi'                  38
  /
  
  CA_target_level_LB(targetSet) "theoretical lower target levels"
  /
   'R_biomass_reaction'         1.0000E-8
   'R_DM_atp_c_'                3.2000E+01
   'R_ATPS4mi'                  1.0E-3
  /

  CA_target_level_UB(targetSet) "theoretical upper target levels"
  /
   'R_biomass_reaction'         5.0000E-02
   'R_DM_atp_c_'                1.0000E+03
   'R_ATPS4mi'                  38
  /

  vb_DM_uptake_LB(reactions) "lower bound of demanded uptake flux"
  /
   'R_EX_o2[e]'         0.0
   'R_EX_glc_D[e]'      1.0000E-03

  /

  vb_DM_uptake_UB(reactions) "upper bound of demanded uptake flux"
  /
   'R_EX_o2[e]'         6.0000E+00
   'R_EX_glc_D[e]'      1.0000E+00

  /

  vb_DM_Exchange_UB(reactions) "upper bounds of demanded exchange vb"
  /
   'R_EX_co[e]'        1.0000E+00
   'R_EX_h2o2[e]'      1.0000E+00
   'R_EX_hco3[e]'      1.0000E+02
   'R_EX_o2s[e]'       1.0000E+00
   'R_EX_co2[e]'       1.0000E+02
   'R_EX_h[e]'         1.0000E+02
   'R_EX_h2o[e]'       1.0000E+02
   'R_EX_pi[e]'        1.0000E+02

  /

   HT_MultiObjValue_min(ObjectSet) "minimum cell viability objective values HT model provided by a user"
       /'biomass'   1.0e-8
        'ATP'       1.0e-3/

   CA_MultiObjValue_min(ObjectSet) "minimum cell viability objective values CA model provided by a user"
       /'biomass'   1.0e-8
        'ATP'       1.0e-3 /

   MultiObjValue_vf_UB(reactions) "vf_UB provided by a user to estimate MultiObjValue_max(ObjectSet)"
       /'R_biomass_reaction'   0.05
        'R_ATPS4mi'            38 /

   MultiObjValue_vb_UB(reactions) "vb_UB (irrev_rxn: vb_UB = 0) provided by a user to estimate MultiObjValue_max(ObjectSet)"
       /'R_biomass_reaction'   0
        'R_ATPS4mi'            0/

   vf_DM_Exchange_UB(reactions) "upper bounds of demanded exchange vf";
