* original DMEM medium
$onempty
sets
    uptake_rxn(reactions) "uptake reactions obtained by NHDE-MILP"
/
***Medium
"R_EX_arg_L[e]"
"R_EX_gly[e]"
"R_EX_his_L[e]"
"R_EX_ile_L[e]"
"R_EX_phe_L[e]"
"R_EX_ser_L[e]"
"R_EX_thr_L[e]"
"R_EX_trp_L[e]"
"R_EX_val_L[e]"
"R_EX_asp_L[e]"
"R_EX_glu_L[e]"
"R_EX_pro_L[e]"
"R_EX_tyr_L[e]"
"R_EX_asn_L[e]"
"R_EX_btn[e]"
"R_EX_chol[e]"
"R_EX_fol[e]"
"R_EX_inost[e]"
"R_EX_ncam[e]"
"R_EX_pnto_R[e]"
"R_EX_ribflv[e]"
"R_EX_thm[e]"
"R_EX_pydx[e]"
"R_EX_gthrd[e]"
"R_EX_pyr[e]"
"R_EX_gln_L[e]"
"R_EX_Lcystin[e]"
"R_EX_met_L[e]"
"R_EX_leu_L[e]"
"R_EX_lys_L[e]"
*"R_EX_ca2[e]"
*"R_EX_cl[e]"
"R_EX_k[e]"
"R_EX_na1[e]"
"R_EX_fe3[e]"
"R_EX_hco3[e]"
"R_EX_succ[e]"
"R_EX_so4[e]"
"R_EX_4hpro[e]"
"R_EX_pydxn[e]"
"R_EX_pi[e]"
*"R_EX_glc_D[e]"
"R_EX_nh4[e]"
*"R_EX_HC02172[e]"
"R_EX_ala_L[e]"
"R_EX_hxan[e]"
"R_EX_lnlc[e]"
"R_EX_ptrc[e]"
"R_EX_thymd[e]"

********************************************************************************
* BL model
"R_EX_3hpvs[e]"

* CA1 model
*需要這此vBiomass才會長
"R_EX_pe_hs[e]"
"R_EX_sphgn[e]"
*********************
* CA2 model
*"R_EX_pe_hs[e]"
"R_EX_docosac[e]"

* CA3 model
*"R_EX_pe_hs[e]"
*"R_EX_sphgn[e]"

* CA4 model
*"R_EX_pe_hs[e]"
*"R_EX_sphgn[e]"

* CA5 model
*R_EX_gd1b_hs[e]""

* HT model
*"R_EX_3hpvs[e]"


*"R_EX_fvs[e]"

/

    uptake_demand(reactions) "demanded uptake reactions, vf = 0"
        /'R_EX_glc_D[e]'
         'R_EX_o2[e]'
        /

    uptake_fixed(reactions) "fixed demand uptake reactions, vb.fx = v_LB"
        /  /

    exchange_demand(reactions) "demanded exchange reactions"
        /'R_EX_co[e]                  '
         'R_EX_co2[e]                 '
         'R_EX_h[e]                   '
         'R_EX_h2o[e]                 '
         'R_EX_h2o2[e]                '
         'R_EX_hco3[e]                '
         'R_EX_o2s[e]                 '
         'R_EX_pi[e]                  '
        /

    targetSet(reactions) "target reactions in the metabolic network"
        /'R_DM_atp_c_                 '
         'R_biomass_reaction       '
         'R_ATPS4mi'
        /

    secretion_demand(reactions) "demanded secretion reactions, vb = 0"
        /  /

   exchange_rxn_domain(reactions) "exchange reactions included in optimization problem"
          / /;
$offempty

parameters
  HT_target_level_LB(targetSet) "theoretical lower target levels"
  /
   'R_biomass_reaction'         1.0000E-8
   'R_DM_atp_c_'                3.2000E+01
   'R_ATPS4mi'                  1.0E-3
  /

  HT_target_level_UB(targetSet) "theoretical upper target levels"
  /
   'R_biomass_reaction'         5.0000E-02
   'R_DM_atp_c_'                1.0000E+03
   'R_ATPS4mi'                  38
  /
  
  CA_target_level_LB(targetSet) "theoretical lower target levels"
  /
   'R_biomass_reaction'         1.0000E-8
   'R_DM_atp_c_'                3.2000E+01
   'R_ATPS4mi'                  1.0E-3
  /

  CA_target_level_UB(targetSet) "theoretical upper target levels"
  /
   'R_biomass_reaction'         5.0000E-02
   'R_DM_atp_c_'                1.0000E+03
   'R_ATPS4mi'                  38
  /

  vb_DM_uptake_LB(reactions) "lower bound of demanded uptake flux"
  /
   'R_EX_o2[e]'         0.0
   'R_EX_glc_D[e]'      1.0000E-03

  /

  vb_DM_uptake_UB(reactions) "upper bound of demanded uptake flux"
  /
   'R_EX_o2[e]'         6.0000E+00
   'R_EX_glc_D[e]'      1.0000E+00

  /

  vb_DM_Exchange_UB(reactions) "upper bounds of demanded exchange vb"
  /
   'R_EX_co[e]'        1.0000E+00
   'R_EX_h2o2[e]'      1.0000E+00
   'R_EX_hco3[e]'      1.0000E+02
   'R_EX_o2s[e]'       1.0000E+00
   'R_EX_co2[e]'       1.0000E+02
   'R_EX_h[e]'         1.0000E+02
   'R_EX_h2o[e]'       1.0000E+02
   'R_EX_pi[e]'        1.0000E+02

  /

   HT_MultiObjValue_min(ObjectSet) "minimum cell viability objective values HT model provided by a user"
       /'biomass'   1.0e-8
        'ATP'       1.0e-3/

   CA_MultiObjValue_min(ObjectSet) "minimum cell viability objective values CA model provided by a user"
       /'biomass'   1.0e-8
        'ATP'       1.0e-3 /

   MultiObjValue_vf_UB(reactions) "vf_UB provided by a user to estimate MultiObjValue_max(ObjectSet)"
       /'R_biomass_reaction'   0.05
        'R_ATPS4mi'            38 /

   MultiObjValue_vb_UB(reactions) "vb_UB (irrev_rxn: vb_UB = 0) provided by a user to estimate MultiObjValue_max(ObjectSet)"
       /'R_biomass_reaction'   0
        'R_ATPS4mi'            0/

   vf_DM_Exchange_UB(reactions) "upper bounds of demanded exchange vf";
